ig.module( 
    'game.entities.showel' 
)
.requires(
    'impact.entity' 
)

.defines(function(){

// Play this when a character spawns in a or leaves a map.
EntityShowel = ig.Entity.extend({

    animSheet: new ig.AnimationSheet( 'media/s.png', 48, 48 ),
    size: {x: 48, y: 48},
    collides: ig.Entity.COLLIDES.NEVER,
    owner_id: -1,

    init: function( x, y, settings ) {
        this.parent(x, y, settings);

        this.addAnim('default', 1, [0] );

        if(!ig.editor){
            // Re-sort Entities
            ig.game.sortEntitiesDeferred();
        }
    },

    update: function () {
        this.parent();
    },

    pickup: function(pirate_id) {

    },

    digdown: function() {

    },

    digup: function() {

    },

    draw:function() {
        this.parent();
    }
})
});